#!/bin/bash

set -e
set -x

export http_proxy=http://192.168.12.1:3128/

if [ ! "$1" = "/dev/sda" ] ; then
    unset LANG
    DRIVE=$1
    if [ -b "$DRIVE" ] ; then
        dd if=/dev/zero of=$DRIVE bs=1024 count=1024
        SIZE=`fdisk -l $DRIVE | grep Disk | awk '{print $5}'`
        echo DISK SIZE - $SIZE bytes
        CYLINDERS=$[$SIZE/255/63/512]
        echo CYLINDERS - $CYLINDERS
        {
        echo ,9,0x0C,*
        } | sfdisk -D -H 255 -S 63 -C $CYLINDERS $DRIVE
        mkfs.vfat -F 32 -n "boot" ${DRIVE}p1
    fi 
    
    if [ -b "${DRIVE}p1" ] ; then
        mount ${DRIVE}p1 /mnt
        wget -O /mnt/MLO http://ports.ubuntu.com/ubuntu-ports/dists/oneiric/main/installer-armel/current/images/omap4/netboot/MLO
        wget -O /mnt/u-boot.bin http://ports.ubuntu.com/ubuntu-ports/dists/oneiric/main/installer-armel/current/images/omap4/netboot/u-boot.bin
        echo "setenv pxecfg_ram 0x88000000;setenv kernel_ram 0x80000000;setenv initrd_ram 0x81600000;pxecfg get;pxecfg boot" > /mnt/ENV.txt
        umount /mnt
    fi
fi
